Bug 342231

Summary: multiarch conflicts in libmtp
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: libmtpAssignee: Linus Walleij <triad>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.2.2-2.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-12 19:06:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 349361    
Bug Blocks:    

Description Bill Nottingham 2007-10-19 17:47:22 EDT
libmtp (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/libmtp-0.2.2/html/annotated.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/delfile_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/detect_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/dirs.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/examples.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/examples_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/files.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/files_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/folders_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/functions.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/functions_vars.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/getfile_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/getplaylist_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/globals.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/globals_func.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/globals_type.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/gphoto2-endian_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__albums.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__basic.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__files.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__folders.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__internals.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__objects.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__playlists.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__structar.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__tracks.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/group__types.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/hotplug_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/index.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/libmtp_8c.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/libmtp_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/libmtp_8h.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/libptp-stdint_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/libusb-glue_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/libusb-glue_8h.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/mainpage_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/modules.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/newfolder_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/playlists_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/ptp_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/refactortest_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/sendfile_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/sendtr_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__album__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__device__entry__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__devicestorage__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__error__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__file__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__filesampledata__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__folder__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__mtpdevice__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__playlist__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/structLIBMTP__track__struct.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/tracks_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/trexist_8c-example.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/unicode_8c.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/unicode_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/unicode_8h.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/util_8c.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8
  file /usr/share/doc/libmtp-0.2.2/html/util_8h-source.html from install of libmtp-devel-0.2.2-1.fc8 conflicts with file from package libmtp-devel-0.2.2-1.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Linus Walleij 2007-10-24 05:23:50 EDT
Fixed and built, the ugly way, see spec file:

# Remove the Doxygen HTML documentation, this get different
# each time it is generated and thus creates multiarch conflicts.
# I don't want to pre-generate it but will instead wait for upstream
# to find a suitable solution that will always bring the same files,
# or that Doxygen is fixed not to do this.

This solution will do for now. Please verify that this works once
0.2.2-2 is available.
Comment 2 Fedora Update System 2007-11-06 11:13:57 EST
libmtp-0.2.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libmtp'
Comment 3 Fedora Update System 2007-11-12 19:06:00 EST
libmtp-0.2.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.